Bug 806182 - rTorrent 0.9.0 crashes with magnet: links
rTorrent 0.9.0 crashes with magnet: links
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rtorrent (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 02:24 EDT by Logan Klenner
Modified: 2012-04-09 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-09 00:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Logan Klenner 2012-03-23 02:24:02 EDT
Description of problem:

Opening links with a magnet URI (more common now-days) crashes rtorrent 0.9.0.  This (unstable) release should be downgraded to 0.8.9 until this is fixed.

Version-Release number of selected component (if applicable):
0.9.0

How reproducible:
Everytime

Steps to Reproduce:
1. Open rTorrent
2. type "Backspace"
3. paste magnet uri, hit enter
  
Actual results:

Caught Segmentation fault, dumping stack:
0 rtorrent() [0x413107]
1 rtorrent() [0x44eecd]
2 /lib64/libc.so.6() [0x3307835990]
3 /lib64/libtorrent.so.14() [0x331044acb4]
4 /lib64/libtorrent.so.14() [0x331049ee6f]
5 /lib64/libtorrent.so.14() [0x3310473729]
6 /lib64/libtorrent.so.14() [0x331047393d]
7 /lib64/libtorrent.so.14(_ZN7torrent7performEv+0x12b) [0x331043ef9b]
8 rtorrent() [0x4bc4c2]
9 rtorrent() [0x4125db]
10 /lib64/libc.so.6(__libc_start_main+0xf5) [0x3307821735]
11 rtorrent() [0x412c95]
Aborted

Expected results:
Download file.

Additional info:
None.
Comment 1 Ankur Sinha (FranciscoD) 2012-04-03 09:03:51 EDT
Hi Logan,

Thank you for filing the bug. Can you please try the 0.9.1 rtorrent update that I've just pushed? The issue should be fixed. 

https://admin.fedoraproject.org/updates/libtorrent-0.13.1-1.fc17,rtorrent-0.9.1-2.fc17


It'll hit the updates-testing repos soon.

$ yum --enablerepo=updates-testing update rtorrent libtorrent

Thanks,
Ankur
Comment 2 Logan Klenner 2012-04-05 14:46:05 EDT
Updated to 0.9.1 from the fedora-updates-testing.  Now rtorrent does not run at all, giving this error:

-bash-4.2$ rtorrent
rtorrent: symbol lookup error: rtorrent: undefined symbol: _ZN7torrent11thread_base8m_globalE

-bash-4.2$ ldd /bin/rtorrent
        linux-vdso.so.1 =>  (0x00007fff5adff000)
        libxmlrpc.so.3 => /lib64/libxmlrpc.so.3 (0x000000330cc00000)
        libxmlrpc_util.so.3 => /lib64/libxmlrpc_util.so.3 (0x0000003307400000)
        libncursesw.so.5 => /lib64/libncursesw.so.5 (0x000000330a400000)
        libtinfo.so.5 => /lib64/libtinfo.so.5 (0x000000330bc00000)
        libsigc-2.0.so.0 => /lib64/libsigc-2.0.so.0 (0x000000330b000000)
        libcurl.so.4 => /lib64/libcurl.so.4 (0x000000330c800000)
        libtorrent.so.14 => /lib64/libtorrent.so.14 (0x0000003310400000)
        libxmlrpc_server.so.3 => /lib64/libxmlrpc_server.so.3 (0x000000330e800000)
        libstdc++.so.6 => /lib64/libstdc++.so.6 (0x000000330b400000)
        libm.so.6 => /lib64/libm.so.6 (0x0000003307c00000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x0000003309400000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x0000003308400000)
        libc.so.6 => /lib64/libc.so.6 (0x0000003307800000)
        libxml2.so.2 => /lib64/libxml2.so.2 (0x000000330ac00000)
        libdl.so.2 => /lib64/libdl.so.2 (0x0000003308000000)
        libidn.so.11 => /lib64/libidn.so.11 (0x000000330a000000)
        liblber-2.4.so.2 => /lib64/liblber-2.4.so.2 (0x000000330a800000)
        libldap-2.4.so.2 => /lib64/libldap-2.4.so.2 (0x000000330c000000)
        librt.so.1 => /lib64/librt.so.1 (0x0000003308800000)
        libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x000000330d800000)
        libkrb5.so.3 => /lib64/libkrb5.so.3 (0x000000330dc00000)
        libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x000000330d400000)
        libcom_err.so.2 => /lib64/libcom_err.so.2 (0x000000330b800000)
        libz.so.1 => /lib64/libz.so.1 (0x0000003308c00000)
        libssl3.so => /lib64/libssl3.so (0x00007f979cf49000)
        libsmime3.so => /lib64/libsmime3.so (0x00007f979cd1d000)
        libnss3.so => /lib64/libnss3.so (0x00007f979c9e3000)
        libnssutil3.so => /lib64/libnssutil3.so (0x00007f979c7be000)
        libplds4.so => /lib64/libplds4.so (0x00007f979c5bb000)
        libplc4.so => /lib64/libplc4.so (0x00007f979c3b6000)
        libnspr4.so => /lib64/libnspr4.so (0x00007f979c179000)
        libssh2.so.1 => /lib64/libssh2.so.1 (0x0000003312000000)
        libcrypto.so.10 => /lib64/libcrypto.so.10 (0x000000330d000000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003307000000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x0000003309c00000)
        libsasl2.so.2 => /lib64/libsasl2.so.2 (0x0000003309800000)
        libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x000000330e000000)
        libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x000000330c400000)
        libssl.so.10 => /lib64/libssl.so.10 (0x0000003311000000)
        libcrypt.so.1 => /lib64/libcrypt.so.1 (0x000000330fc00000)
        libselinux.so.1 => /lib64/libselinux.so.1 (0x0000003309000000)
        libfreebl3.so => /lib64/libfreebl3.so (0x00007f979bf12000)
Comment 3 Logan Klenner 2012-04-05 14:58:23 EDT
Disregard last comment (#2) libtorrent has been updated, and a download via magnet link was successful.
Comment 4 Ankur Sinha (FranciscoD) 2012-04-09 00:57:39 EDT
Ah. Great. Closing. Please continue filing bugs :)

Thanks,
Ankur

Note You need to log in before you can comment on or make changes to this bug.